Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.feature.type
Interface AttributeType

All Superinterfaces:
  PropertyType

All Known Subinterfaces:
  ComplexType, FeatureCollectionType, FeatureType, GeometryType, SimpleFeatureCollectionType, SimpleFeatureType

    public interface AttributeType

extends PropertyType

Declaration of attribute type.

Please note that this is a formal "dynamic type system", we have not indicated at this level *which* class this attribute type is bound to. As an implementation option getBinding may be restricted to a specific class for compile time checks, this will only be of benefit when implementing wrappers around existing staticly defined Java domain models.

Method Summary
`Class<?>` | `getBinding()` Java class bound to this content type.
`Collection<OperationDescriptor>` | `getOperations()` Operations that may be invoked against this type.
`Set<Filter>` | `getRestrictions()` List of restrictions used to limit the allowable values for objects of this type.
`AttributeType` | `getSuper()` Access to super type information.
`boolean` | `isAbstract()` Indicate that this AttributeType may not be used directly
`boolean` | `isIdentified()` True if this type is usable as a target of a reference.

Methods inherited from interface PropertyType
`equals, getDescription, getName, getUserData, hashCode, putUserData`

Method Detail

### isIdentified

    boolean isIdentified()

  True if this type is usable as a target of a reference.

  Returns:
    true if this complex type must have non null getID()

### getSuper

    AttributeType getSuper()

  Access to super type information.

  The super type may contain additional restrictions to be considered, or a definition of isNilable.

  Specified by:
    `getSuper` in interface `PropertyType`
  Returns:
    AttributeType of supertype

### isAbstract

    boolean isAbstract()

  Indicate that this AttributeType may not be used directly

  Specified by:
    `isAbstract` in interface `PropertyType`

### getBinding

    Class<?> getBinding()

  Java class bound to this content type.

### getRestrictions

    Set<Filter> getRestrictions()

  List of restrictions used to limit the allowable values for objects of this type.

  These restrictions should be considered in light of those available through getSuper, in the case where Restrictions conflict these should be considered complete overrides of the restrictions available via the getSuper.

  Specified by:
    `getRestrictions` in interface `PropertyType`
  Returns:
    List used to validate allowable values.

### getOperations

    Collection<OperationDescriptor> getOperations()

  Operations that may be invoked against this type.

  Returns:
    Collection that may be invoked on values of this type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.